[tool.poetry]
name = "tsami"
version = "0.1.0"
description = "Tango State Machine Interpreter"
authors = ["aolle <aolle@cells.es>"]
license = "GPLv3"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.10"
setuptools = "^69"
textX = "^3.1.1"
pytango = "9.4.2"
graphviz = "^0.20.0"
flask = "^2.0.3"
fastapi = "^0.103.2"
uvicorn = "^0.24.0"
pydot = "^1.4.2"
requests = "^2.31.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
tsami_server = "tsami.server.server:start"
tsami_webpage = "tsami.webpage.server:start"
